package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF2H5 extends MwfRequest<MWF2H5, MWF2H5Response> {

    @Parameter(name = "Category")
    MWF2H5 category(String category);
    @Parameter(name = "CellNumber")
    MWF2H5 cellNumber(String cellNumber);
    @Parameter(name = "ContactDate")
    MWF2H5 contactDate(java.util.Date contactDate);
    @Parameter(name = "ContactTimeNote")
    MWF2H5 contactTimeNote(String contactTimeNote);
    @Parameter(name = "Currency")
    MWF2H5 currency(String currency);
    @Parameter(name = "Email")
    MWF2H5 email(String email);
    @Parameter(name = "FirstName")
    MWF2H5 firstName(String firstName);
    @Parameter(name = "ICO")
    MWF2H5 ico(String ico);
    @Parameter(name = "IDBranch")
    MWF2H5 iDBranch(String iDBranch);
    @Parameter(name = "Landline")
    MWF2H5 landline(String landline);
    @Parameter(name = "LastName")
    MWF2H5 lastName(String lastName);
    @Parameter(name = "RequestedLoanAmount")
    MWF2H5 requestedLoanAmount(Double requestedLoanAmount);
}
